
QGIS Application - Bug report #4050

GPSD Server WATCH request

2011-07-06 12:43 AM - Michal Klatecki

Status: Closed

Priority: Normal

Assignee: Michal Klatecki

Category: C++ Plugins

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 14036

Description

The JSON command send to GPSD server (QGis Gps Tracker module) doesn't change the server emitted packet type to NMEA.

Gps Tracker just disconnects from the server, because he can't handle the gpsd server specific packet format.

Just a small fix.

Associated revisions

Revision 051749a4 - 2012-04-08 01:07 AM - Jürgen Fischer

raw only won't work with GPSes that don't speak NMEA (should fix #4050)

History

#1 - 2011-07-06 12:50 AM - Michal Klatecki

I gived a wrong branch version in ticket description. Just ignore it.

#2 - 2011-07-19 05:16 AM - Tim Sutton

- Target version changed from Branch - Advanced Editing to Version 1.7.1

#3 - 2011-07-19 05:22 AM - Tim Sutton

- Status changed from Open to Closed

Applied with commit:5f9f976

Many thanks

Tim

#4 - 2012-03-19 12:13 PM - Joseph Wolf

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

Is this fix applied yet?
#5 - 2012-03-19 12:14 PM - Giovanni Manghi

- Pull Request or Patch supplied set to No

Joseph Wolf wrote:

Is this fix applied yet?

if it wasn't backported you will need to install qgis-master

#6 - 2012-03-19 03:14 PM - Joseph Wolf

I've been using the RPM version for Fedora 15:

Quantum GIS - 1.7.4-Wroclaw 'Wroclaw' (exported)

It doesn't have the fix.  My work around was to execute the following in the shell:

gpspipe -r | nc -l 5555

I then just connect to my fake GPSD at port '5555'.  Not pretty, but it saves the the trouble of making a build environment.

#7 - 2012-03-20 03:21 AM - Giovanni Manghi

Quantum GIS - 1.7.4-Wroclaw 'Wroclaw' (exported)

It doesn't have the fix.

if the fix was not backported to 1.7.x then is available only in qgis-master (development version).

#8 - 2012-04-07 03:36 PM - Tomas Vrana

This patch actually broke my gpsd support. Reverting the patch fixed the problem.

#9 - 2012-04-09 03:44 AM - Giovanni Manghi

- Status changed from Closed to Feedback

- Target version changed from Version 1.7.1 to Version 1.8.0

- Resolution deleted (fixed)

Tomas Vrana wrote:

This patch actually broke my gpsd support. Reverting the patch fixed the problem.

so this means that the patch fixed one issue but created a new one? If yes, can you please detail more? so we can eventually close again this ticket and/or

file a new one, Thanks.
#10 - 2012-04-11 12:32 PM - Tomas Vrana

Since last spring I have used gpsd: 2.96 (revision 2011-12-02T19:52:26) with qgis on OpenSuSE with current qgis version from GEO repository. After one

of the updates during fall it suddenly stopped working and it still doesnt - current version is qgis-1.7.4-8.6.i586. Since that time I have been using GPS

directly via COM port. Last week I needed to do some outdoor mapping using NTRIP corrections so I digged a little deeper and found this patch. After I

have changed the request from 'raw' to 'nmea' in GIT version I was able to connect to gpsd again.. I guess it could it could be related to the fact that my

GPS uses the 'ublox binary' protocol to talk with gpsd ?

#11 - 2012-04-12 12:37 AM - Giovanni Manghi

- Pull Request or Patch supplied changed from No to Yes

#12 - 2012-09-04 11:59 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#13 - 2013-10-01 07:18 AM - Jürgen Fischer

- Status changed from Feedback to Closed

Fixed in changeset commit:"051749a495b4ea00bab378d88e0ce049f30d4abc".

Files

gpsd_watch_command.diff 751 Bytes 2011-07-05 Michal Klatecki
